## calibre 6.13.0+repack

=== src/calibre/headless/CMakeLists.txt ===
project(headless)
cmake_minimum_required(VERSION 3.21)
set(CMAKE_AUTOMOC ON)
find_package(Qt6Gui REQUIRED)
add_library(headless MODULE main.cpp headless_backingstore.cpp headless_integration.cpp)
set_property(TARGET headless PROPERTY QT_PLUGIN_TYPE "platforms")
set_property(TARGET headless PROPERTY QT_PLUGIN_CLASS_NAME "HeadlessIntegrationPlugin")
target_link_libraries(headless PRIVATE Qt::Gui Qt::GuiPrivate Qt::Core Qt::CorePrivate)

=== debian/changelog ===
calibre (6.13.0+repack-2+deb12u4) bookworm; urgency=medium

  * Fix #2075131 [Private bug](https://bugs.launchpad.net/calibre/+bug/2075131)
    (Fix for CVE-2024-7009)
  * Fix #2075130 [Private bug](https://bugs.launchpad.net/calibre/+bug/2075130)
    (Fix for CVE-2024-7008)
  * Fix #2075128 [Private bug](https://bugs.launchpad.net/calibre/+bug/2075128)
    (Fix for CVE-2024-6782)
  * Fix #2076515 [calibredb list command ignores fields
    option](https://bugs.launchpad.net/calibre/+bug/2076515)
    Add fixup to CVE-2024-6782 .
    See also Debian bug 1079277.
    > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1079277

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 22 Aug 2024 20:41:03 +0900

calibre (6.13.0+repack-2+deb12u3) bookworm; urgency=medium

  * HTML Input: Don't add resources that exist outside the folder hierarchy
    rooted at the parent folder of the input HTML file by default (Fix for
    CVE-2023-46303)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 12 Jan 2024 20:16:45 +0900

calibre (6.13.0+repack-2+deb12u2) bookworm; urgency=medium

  * fix crash in Get Books when regenerating UIC files (Closes: #1053899)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 14 Oct 2023 11:48:44 +0900

calibre (6.13.0+repack-2+deb12u1) bookworm; urgency=medium

  * "ERROR: Unhandled exception" when opening Settings > Saving Books to disk (Closes: #1041779)
  * Rediff patches.
    Add reproduced error messages

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 24 Jul 2023 20:35:33 +0900

calibre (6.13.0+repack-2) unstable; urgency=medium

  * Update lintian overrides
  * Use explicitly named parameter to avoid TypeError (Closes: #1032095)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 28 Feb 2023 23:47:30 +0900

calibre (6.13.0+repack-1) unstable; urgency=medium

  * Many requied pre-build resource was dropped from upstream tarball
    since Calibre 6.12.0. Build them by myself.
  * Use "multiple upstream tarball" (MUT) style source code layout.
  * QtWebEngine is frigile on armhf platform. Split build process into
    architecture dependent and independent part to minimize QtWebEngine
    usage.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 26 Feb 2023 18:06:34 +0900

calibre (6.13.0+repack-1~exp2) experimental; urgency=medium

  * Split architecture dependent part to pass armhf build
  * Add blhc note for arch build

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 26 Feb 2023 15:00:15 +0900

calibre (6.13.0+repack-1~exp1) experimental; urgency=medium

  * Revert "Add special hack for armhf build"
    This reverts commit aacdebdfeefce479f267d973619190cacaa29d3d.
    This fix is not effective.
  * New upstream version 6.13.0+repack
  * Use multiple upstream tarball style for source code layout.
    Some buildd was not connected to external Internet.
    Buildd requires to build without Internet connection.
  * Remove unused files

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 26 Feb 2023 09:12:43 +0900

calibre (6.13.0-1~exp3) experimental; urgency=medium

  * Add special hack for armhf build

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 22 Feb 2023 12:47:05 +0900

calibre (6.13.0-1~exp2) experimental; urgency=medium

  * Check downloaded files with SHA256

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 22 Feb 2023 08:42:38 +0900

calibre (6.13.0-1~exp1) experimental; urgency=medium

  * Excluded files are now dropped from upstream tar ball.
    So, there is no need to use "+dfsg" fixup.
  * New upstream version 6.12.0
  * New upstream version 6.13.0
  * Rediff patches
  * Build resources
  * Build all resources
  * Move MathJax src location
  * Add hyphenation resource downloader
  * Use downloaded resource for build
  * Build all resources at once
  * Compile language resources
  * Build manual
  * Use "translations" target to compile all translation targets
  * Add upstream hyphenation source file
  * Update file path
  * Build ISO639 file
  * Build ISO3166 file
  * Add manual builder tool to build-depends
  * Add font links to build PDF file.
    XeLaTeX needs font links to build manuals.
  * Build kakasi dictionary for Japanese manuals
  * Build User-Agent list
  * Use Debian specific CA certs for calibre content server
  * Add clean target job
  * Add comments
  * Add recent User-Agent downloader for deterministic build
  * Add recent user agent data
  * Use downloaded static file for reproducible build
  * Use bootstrap target
  * Add patches.
    Use specific commit ID files to deterministic build
  * Add translation downloader
  * Extract translation resource
  * No more needs to build manuals
  * Update clean target
  * Drop big blob files from source tree.
    These big blob files are update often, and this harms Git repository.
    Download them in build time.
  * Prefer text files instead of binary file
  * Extract BZip2 file
  * Use text file instead of BZip2 compressed file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 20 Feb 2023 21:29:34 +0900

=== debian/control ===
Source: calibre
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.21),
 ca-certificates,
 curl,
 dh-buildinfo,
 dh-python,
 fonts-liberation2,
 libboost-dev,
 libchm-dev,
 libegl-dev,
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 libjpeg-turbo-progs,
 libjxr-tools,
 libmtdev-dev [linux-any],
 libmtp-dev (>= 1.1.5),
 libpodofo-dev (>= 0.8.2),
 libqt6webenginecore6-bin,
 librsvg2-bin,
 libsqlite3-dev,
 libssl-dev,
 libstemmer-dev,
 libuchardet-dev,
 libudev-dev [linux-any],
 libusb-1.0-0-dev,
 optipng,
 poppler-utils (>= 0.85.0),
 pyqt6-dev,
 pyqt6-dev-tools,
 python3,
 python3-apsw,
 python3-bs4,
 python3-chm,
 python3-css-parser,
 python3-cssselect,
 python3-dateutil,
 python3-dev,
 python3-feedparser (>= 6.0.8-1~),
 python3-html2text,
 python3-html5-parser (>=0.4.10-1~),
 python3-html5lib,
 python3-ipython,
 python3-jeepney,
 python3-lxml,
 python3-markdown,
 python3-mechanize,
 python3-msgpack,
 python3-netifaces,
 python3-pil,
 python3-pkg-resources,
 python3-psutil,
 python3-py7zr,
 python3-pycryptodome,
 python3-pygments,
 python3-pyparsing,
 python3-pyqt6,
 python3-pyqt6.qtquick,
 python3-pyqt6.qtsvg,
 python3-pyqt6.qtwebengine,
 python3-pyqtbuild,
 python3-regex,
 python3-routes,
 python3-setuptools,
 python3-sipbuild,
 python3-speechd,
 python3-zeroconf,
 qt6-image-formats-plugins,
 qmake6,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-wayland,
 xdg-utils,
Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>,
 Martin Pitt <mpitt@debian.org>,
 Nicholas D Steeves <sten@debian.org>,
Standards-Version: 4.6.2
Homepage: https://calibre-ebook.com
Vcs-Browser: https://github.com/debian-calibre/calibre
Vcs-Git: https://github.com/debian-calibre/calibre.git
Rules-Requires-Root: no

Package: calibre
Architecture: all
Depends: calibre-bin (>= ${source:Version}), ${misc:Depends},
 ca-certificates,
 fonts-liberation2,
 libjpeg-turbo-progs,
 libjxr-tools,
 libqt6webenginecore6-bin,
 optipng,
 poppler-utils (>= 0.85.0),
 ${python3:Depends},
 pyqt6-dev-tools,
 python3-apsw,
 python3-bs4,
 python3-chm,
 python3-css-parser,
 python3-cssselect,
 python3-dateutil,
 python3-feedparser,
 python3-html2text,
 python3-html5-parser,
 python3-html5lib,
 python3-jeepney,
 python3-lxml,
 python3-markdown,
 python3-mechanize,
 python3-msgpack,
 python3-netifaces,
 python3-pil,
 python3-pkg-resources,
 python3-py7zr,
 python3-pycryptodome,
 python3-pygments,
 python3-pyparsing,
 python3-pyqt6 (>= ${pyqt:Version}),
 python3-pyqt6.qtquick,
 python3-pyqt6.qtsvg,
 python3-pyqt6.qtwebengine,
 python3-pyqt6.sip,
 python3-regex,
 python3-routes,
 python3-speechd,
 python3-zeroconf,
 xdg-utils,
Recommends: python3-dnspython (>= 1.6.0), udisks2,
 python3-ipython, qt6-wayland,
Suggests: python3-unrardll,
Description: powerful and easy to use e-book manager
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion to and from a dozen different e-book
 formats.
 .
 Calibre supports almost every single e-Reader (e.g., Kindle, Kobo, Nook) and
 is compatible with more devices with every update. Calibre can transfer your
 e-books from one device to another in seconds, wirelessly or with a cable.
 It will send the best file format for your device converting it if
 needed, automatically.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Recommends: calibre (>= ${source:Version}),
 qt6-image-formats-plugins,
Description: powerful and easy to use e-book manager (binary plugins)
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 This package contains the compiled architecture dependent plugins, the main
 package is called 'calibre'.

=== debian/rules ===
#!/usr/bin/make -f

# help for reproducible build
export LANG=C.UTF-8

# building with python3
PYTHON=$(shell py3versions -d)
PYTHON_PATH=$(shell command -v $(PYTHON))
SETUP=$(PYTHON) setup.py

# build options
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all

# display build commands while CMake build
export VERBOSE=1

# Set hash seed to Qt resource compiler output will deterministic one.
# See QHash class document on Qt document.
export QT_HASH_SEED=0

# Do all test by default
TEST_FLAGS =
CI_ENV =

# Disable some test when in package builder environment
ifeq ($(wildcard .git),)
  include debian/buildd-options.mak
  CI_ENV += CI=true
endif

%:
	dh $@ --with=python3 --buildsystem=makefile

.PHONY: calibre_auto_test calibre_auto_install blhc-note

DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python3-pyqt6)

blhc-note:
#	# Add false-positive info for blhc(1) check
	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt6/mkspecs/features/data/dummy\.cpp'
	@echo 'blhc: ignore-line-regexp: /usr/lib/qt6/libexec/moc .+\.cpp'

override_dh_auto_configure:

override_dh_auto_build-arch: blhc-note
	$(SETUP) build

override_dh_auto_build-indep: blhc-note
#	# use Debian specific CA certs
	ln -sf /etc/ssl/certs/ca-certificates.crt resources/mozilla-ca-certs.pem
#
	cp -r ./translations-git/* ./translations/
#
	$(SETUP) bootstrap \
		--path-to-mathjax="$(CURDIR)/mathjax-git" \
		--system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation2 \
		--path-to-hyphenation="$(CURDIR)/hyphenation-git"

# Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
override_dh_auto_test-indep:
	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak test-indep

# "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)
calibre_auto_test-indep:
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt --exclude-test-name=dom_load
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=workers   $(TEST_FLAGS)
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=qt        $(TEST_FLAGS)
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=dom_load  $(TEST_FLAGS)

execute_before_dh_install:
	dh_buildinfo

override_dh_auto_install-indep:
	dh_auto_install -O--buildsystem=makefile -- -f debian/calibre-builder.mak install-indep

calibre_auto_install-indep:
	mkdir -p  debian/tmp/usr/share/icons/hicolor
	mkdir -p  debian/tmp/usr/share/applications
	mkdir -p  debian/tmp/usr/share/mime/packages
	mkdir -p  debian/tmp/usr/share/zsh/vendor-completions
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C XDG_DATA_DIRS=$(CURDIR)/debian/tmp/usr/share CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr
#
#	# not needed
	rm debian/tmp/usr/share/calibre/calibre-portable.*
	rm debian/tmp/usr/lib/python*/site-packages/init_calibre.py
	rmdir debian/tmp/usr/share/desktop-directories
#
#	# do not install developer's script
	rm debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/update.py
#	# Debian package "python3-tinycss" doesn't installs test code
	rm debian/tmp/usr/lib/calibre/tinycss/tests/*.py
#
# 	# Replace "python" to "python3" in shebang
	find debian/tmp/usr/lib/calibre debian/tmp/usr/share/calibre -name '*.py' -print | xargs --no-run-if-empty sed --separate --file=debian/fix-python-shebang.sed --in-place
#
#	# Remove source path name from pyuic5 outputs
	find debian/tmp/usr/lib/calibre/calibre/gui2 -name '*_ui.py' -print | xargs --no-run-if-empty sed --separate --file=debian/remove-ui-basepath.sed --in-place

override_dh_installman:
	debian/install-manpages.sh

override_dh_auto_clean:
	$(SETUP) bootstrap --clean
	rm -f resources/mozilla-ca-certs.pem
	py3clean setup src

override_dh_gencontrol:
	dh_gencontrol $(DEB_DH_GENCONTROL_ARGS)

# No need to touch "calibre-bin".
override_dh_python3:
	dh_python3 --no-package=calibre-bin --shebang=$(PYTHON_PATH)

=== debian/watch ===
# -*- mode: conf -*-
# watch control file for uscan
# see uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts="pgpmode=next, \
      downloadurlmangle=s!/kovidgoyal/@PACKAGE@/releases/tag/v(\d+\.\d+\.\d+)!/kovidgoyal/@PACKAGE@/releases/download/v$1/@PACKAGE@-$1.tar.xz!, \
      filenamemangle=s!v(\d+\.\d+\.\d+)!@PACKAGE@-$1.tar.xz!" \
  https://github.com/kovidgoyal/@PACKAGE@/releases \
  /kovidgoyal/@PACKAGE@/releases/tag/v(\d+\.\d+\.\d+)
opts="pgpmode=previous" \
  https://calibre-ebook.com/signatures/ \
  @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig previous

## calibre 6.17.0

=== debian/changelog ===
calibre (6.17.0-1) unstable; urgency=medium

  * New upstream version 6.17.0
  * Rediff patches.
    Drop 0026-TypeError-HistoryLineEdit.__init__-got-an-unexpected.patch:
    patch contents already upstream
  * Use "fonttools" to make subsetting fonts
  * Use "cwebp" for WebP images
  * Update copyright info

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 28 Apr 2023 23:46:58 +0900

calibre (6.16.0-1) unstable; urgency=medium

  * New upstream version 6.16.0
  * Rediff patches.
    Drop 0027-TypeError-on-opening-Preferences-Closes-1034089.patch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 21 Apr 2023 20:19:46 +0900

calibre (6.15.1-4) unstable; urgency=medium

  * TypeError on opening Preferences (Closes: #1034089)
  * Reorder patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 09 Apr 2023 15:38:56 +0900

calibre (6.15.1-3) unstable; urgency=medium

  * Merge "arch" and "indep" target.
    Test code requires binary modules

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 09 Apr 2023 13:05:56 +0900

calibre (6.15.1-2) unstable; urgency=medium

  * Add more Lintian hints

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 09 Apr 2023 11:41:17 +0900

calibre (6.15.1-1) unstable; urgency=medium

  * Use relative path to deterministic build
  * Use resources from upstream source
  * Save and restore original font files
  * Restore privious version patch
  * Use bundled MathJax 3.
    Use bundled MathJax 3 because Debian still uses MathJax 2.
  * Rediff patches.
    Drop 0033-Remove-date-from-description-for-deterministic-build.patch
    Drop 0031-Sort-lines-for-reproducible-build.patch
    Drop 0027-Use-text-file-instead-of-BZip2-compressed-file.patch
    Drop 0025-Don-t-download-from-CA-certificates.patch
    Drop 0024-Use-downloaded-static-file-for-reproducible-build.patch
    Drop 0032-Use-SOURCE_DATE_EPOCH-for-deterministic-build.patch
    Drop 0034-Use-relative-path-to-deterministic-build.patch
    Drop 0026-Don-t-download-translation-files-from-GitHub.patch
  * User-Agent data is now bundled into upstream tarball
  * New upstream version 6.15.0+repack
  * New upstream version 6.15.1
  * Rediff patches
  * Clean generated binary plugins
  * Add ignore list

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 09 Apr 2023 10:03:43 +0900

calibre (6.15.0-1) unstable; urgency=medium

  * New upstream version 6.15.0
  * Update User-Agent data
  * Rediff patches
  * Use "zstd" instead of "pyzstd"
    Build script checks Qt supports Zstandard through Python module.
  * Rediff patches.
    Add 0030-Extend-timeout-limit-to-pass-test_backup-test.patch
    Add 0031-Sort-lines-for-reproducible-build.patch
    Add 0029-Use-zstd-module-instead-of-pyzstd.patch
    Add 0032-Use-SOURCE_DATE_EPOCH-for-deterministic-build.patch
  * Remove date from description for deterministic build
  * CA certs file is now included in upstream source

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 08 Apr 2023 09:33:33 +0900

calibre (6.14.1-1) unstable; urgency=medium

  * New upstream version 6.14.1
  * Update User-Agent data
  * Copy missing resources only
    "resources/localization/website-languages.txt" requires these missing
    resources.
  * Update clean target to remove copied files
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 18 Mar 2023 03:56:25 +0900

calibre (6.14.0-1) unstable; urgency=medium

  * Update User-Agent data
  * New upstream version 6.14.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 11 Mar 2023 16:17:20 +0900

## calibre 6.18.1

=== debian/changelog ===
calibre (6.18.1-3) unstable; urgency=medium

  * Don't extend timeout-time in hangup-ed worker for shutdown test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 May 2023 21:47:22 +0900

calibre (6.18.1-2) unstable; urgency=medium

  * No need to forward Debian specific patch
  * Split IPv6 patches into "ipv6" topic
  * Split reproducible build patches into "reproducible" topic
  * Split hardening patches into "hardening" topic

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 May 2023 17:08:28 +0900

calibre (6.18.1-1) unstable; urgency=medium

  * New upstream version 6.18.0
  * Rediff patches
  * Restore PoDoFo 0.9.8 support.
    PoDoFo 0.10 is not available for Debian yet.
  * New upstream version 6.18.1
  * Rediff patches
  * Typo fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 May 2023 14:11:24 +0900

## calibre 6.19.1

=== debian/changelog ===
calibre (6.19.1-1) unstable; urgency=medium

  * New upstream version 6.19.1
  * Rediff patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 30 May 2023 00:40:35 +0900

## calibre 6.20.0

=== debian/changelog ===
calibre (6.20.0-1) unstable; urgency=medium

  * Rediff patches
  * New upstream version 6.20.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 09 Jun 2023 15:07:36 +0900

## calibre 6.21.0

=== debian/changelog ===
calibre (6.21.0-1) unstable; urgency=medium

  * New upstream version 6.21.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 13 Jun 2023 16:16:56 +0900

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
  python3-dateutil,
  python3-dev,
  python3-feedparser (>= 6.0.8-1~),
+ python3-fonttools,
  python3-html2text,
  python3-html5-parser (>=0.4.10-1~),
  python3-html5lib,
@@ -69,11 +70,13 @@
  python3-sipbuild,
  python3-speechd,
  python3-zeroconf,
+ python3-zstd,
  qt6-image-formats-plugins,
  qmake6,
  qt6-base-dev,
  qt6-base-private-dev,
  qt6-wayland,
+ webp,
  xdg-utils,
 Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>,
@@ -104,6 +107,7 @@
  python3-cssselect,
  python3-dateutil,
  python3-feedparser,
+ python3-fonttools,
  python3-html2text,
  python3-html5-parser,
  python3-html5lib,
@@ -128,6 +132,7 @@
  python3-routes,
  python3-speechd,
  python3-zeroconf,
+ webp,
  xdg-utils,
 Recommends: python3-dnspython (>= 1.6.0), udisks2,
  python3-ipython, qt6-wayland,

=== debian/rules ===
--- 
+++ 
@@ -43,26 +43,21 @@
 
 override_dh_auto_configure:
 
-override_dh_auto_build-arch: blhc-note
+override_dh_auto_build: blhc-note
 	$(SETUP) build
-
-override_dh_auto_build-indep: blhc-note
-#	# use Debian specific CA certs
-	ln -sf /etc/ssl/certs/ca-certificates.crt resources/mozilla-ca-certs.pem
 #
-	cp -r ./translations-git/* ./translations/
-#
-	$(SETUP) bootstrap \
-		--path-to-mathjax="$(CURDIR)/mathjax-git" \
-		--system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation2 \
-		--path-to-hyphenation="$(CURDIR)/hyphenation-git"
+#	backup original font files and use system fonts
+	if [ ! -d debian/liberation.backup ] ; then \
+		mv resources/fonts/liberation debian/liberation.backup ; \
+		$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation2 ; \
+	fi
 
 # Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
-override_dh_auto_test-indep:
-	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak test-indep
+override_dh_auto_test:
+	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak test
 
 # "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)
-calibre_auto_test-indep:
+calibre_auto_test:
 	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt --exclude-test-name=dom_load
 	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
 	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=workers   $(TEST_FLAGS)
@@ -72,10 +67,10 @@
 execute_before_dh_install:
 	dh_buildinfo
 
-override_dh_auto_install-indep:
-	dh_auto_install -O--buildsystem=makefile -- -f debian/calibre-builder.mak install-indep
+override_dh_auto_install:
+	dh_auto_install -O--buildsystem=makefile -- -f debian/calibre-builder.mak install
 
-calibre_auto_install-indep:
+calibre_auto_install:
 	mkdir -p  debian/tmp/usr/share/icons/hicolor
 	mkdir -p  debian/tmp/usr/share/applications
 	mkdir -p  debian/tmp/usr/share/mime/packages
@@ -102,8 +97,11 @@
 	debian/install-manpages.sh
 
 override_dh_auto_clean:
-	$(SETUP) bootstrap --clean
-	rm -f resources/mozilla-ca-certs.pem
+	$(SETUP) build --clean
+	if [ -d debian/liberation.backup ] ; then \
+		$(SETUP) liberation_fonts --clean ; \
+		mv debian/liberation.backup resources/fonts/liberation ; \
+	fi
 	py3clean setup src
 
 override_dh_gencontrol:

## calibre 6.22.0

=== debian/changelog ===
calibre (6.22.0-1) unstable; urgency=medium

  * New upstream version 6.22.0
  * Use bundled Liberation fonts.
    Use bundled Liberation fonts to get rid of testing migration
    stall of fonts-liberation package.
  * Rediff patches.
    Update podofo098 patches
  * Renumber patches
  * No need to forward to upstream podofo098 patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 01 Jul 2023 13:03:54 +0900

calibre (6.21.0-2) unstable; urgency=medium

  * Accept fonts-liberation transition

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 24 Jun 2023 12:19:53 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  curl,
  dh-buildinfo,
  dh-python,
- fonts-liberation2,
  libboost-dev,
  libchm-dev,
  libegl-dev,
@@ -92,7 +91,6 @@
 Architecture: all
 Depends: calibre-bin (>= ${source:Version}), ${misc:Depends},
  ca-certificates,
- fonts-liberation2,
  libjpeg-turbo-progs,
  libjxr-tools,
  libqt6webenginecore6-bin,

=== debian/rules ===
--- 
+++ 
@@ -45,12 +45,6 @@
 
 override_dh_auto_build: blhc-note
 	$(SETUP) build
-#
-#	backup original font files and use system fonts
-	if [ ! -d debian/liberation.backup ] ; then \
-		mv resources/fonts/liberation debian/liberation.backup ; \
-		$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation2 ; \
-	fi
 
 # Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
 override_dh_auto_test:
@@ -98,10 +92,6 @@
 
 override_dh_auto_clean:
 	$(SETUP) build --clean
-	if [ -d debian/liberation.backup ] ; then \
-		$(SETUP) liberation_fonts --clean ; \
-		mv debian/liberation.backup resources/fonts/liberation ; \
-	fi
 	py3clean setup src
 
 override_dh_gencontrol:

## calibre 6.23.0

=== debian/changelog ===
calibre (6.23.0-1) unstable; urgency=medium

  * New upstream version 6.23.0
  * Revert "Use bundled Liberation fonts"
    This reverts commit acaada1a0c47887746de0d18981a059e6b27630f.
  * Rediff patches
  * Renumber patches
  * Remove obsolete Lintian overrides
  * Add man page fixup tool.
    Font name "C" is wrong.
    Use "CR" for constant-width font.
  * Use "CR" for constant-width font
  * Add Lintian overrides

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 14 Jul 2023 19:38:34 +0900

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,12 @@
 
 override_dh_auto_build: blhc-note
 	$(SETUP) build
+#
+#	backup original font files and use system fonts
+	if [ ! -d debian/liberation.backup ] ; then \
+		mv resources/fonts/liberation debian/liberation.backup ; \
+		$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation ; \
+	fi
 
 # Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
 override_dh_auto_test:
@@ -92,6 +98,10 @@
 
 override_dh_auto_clean:
 	$(SETUP) build --clean
+	if [ -d debian/liberation.backup ] ; then \
+		$(SETUP) liberation_fonts --clean ; \
+		mv debian/liberation.backup resources/fonts/liberation ; \
+	fi
 	py3clean setup src
 
 override_dh_gencontrol:

## calibre 6.24.0

=== debian/changelog ===
calibre (6.24.0-2) unstable; urgency=medium

  * Drop python-zeroconf monkey patch.
    This monkey patch breaks python3-zeroconf 0.74.0 .

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 06 Aug 2023 03:53:08 +0900

calibre (6.24.0-1) unstable; urgency=medium

  * Revert "Remove obsolete Lintian overrides"
    This reverts commit ee112a36258caa0253d8dab8b3bcf539b9804195.
  * New upstream version 6.24.0
  * Rediff patches
  * Update comments
  * Disable a test that takes too match time
  * Add lintian override string to simler message
  * Allow stderr output to pass a smoke test
    python3-apsw 3.42.0.1-1 always output warning message to stdout.
    This breaks autopkgtest.
    ```
    $ python3
    Python 3.11.4 (main, Jun  7 2023, 10:13:09) [GCC 12.2.0] on linux
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import apsw
    Missing sys.apsw_fault_inject_control
    >>>
    ```
    This message comes from src/apsw.c:APSW_FaultInjectControl()
    in python-apsw source code.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 05 Aug 2023 20:04:38 +0900

calibre (6.23.0-2) unstable; urgency=medium

  * Disable fragile test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 14 Jul 2023 22:31:50 +0900

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 # Do all test by default
 TEST_FLAGS =
 CI_ENV =
+
+# This test always stole
+TEST_FLAGS += --exclude-test-name=fts_pool
 
 # Disable some test when in package builder environment
 ifeq ($(wildcard .git),)
@@ -90,7 +93,7 @@
 # 	# Replace "python" to "python3" in shebang
 	find debian/tmp/usr/lib/calibre debian/tmp/usr/share/calibre -name '*.py' -print | xargs --no-run-if-empty sed --separate --file=debian/fix-python-shebang.sed --in-place
 #
-#	# Remove source path name from pyuic5 outputs
+#	# Remove source path name from pyuic6 outputs
 	find debian/tmp/usr/lib/calibre/calibre/gui2 -name '*_ui.py' -print | xargs --no-run-if-empty sed --separate --file=debian/remove-ui-basepath.sed --in-place
 
 override_dh_installman:

## calibre 6.24.0+ds

=== debian/changelog ===
calibre (6.24.0+ds-1) unstable; urgency=medium

  * Really choose oldest file modification time in target files
  * Remove some pre-built files that older than source (Closes: #1043662)
    This fix is for Debian Policy section 4.9 (clean target).
  * New upstream version 6.24.0+ds
  * Build GUI files before test.
    Use "$(SETUP) liberation_fonts --clean" to remove files
  * Clean compiled files before remove generated sources

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 14 Aug 2023 20:33:10 +0900

## calibre 6.29.0+ds

=== debian/changelog ===
calibre (6.29.0+ds-1) unstable; urgency=medium

  * New upstream version 6.29.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 20 Oct 2023 21:29:03 +0900

calibre (6.28.1+ds-1) unstable; urgency=medium

  * New upstream version 6.28.1+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 10 Oct 2023 15:19:27 +0900

calibre (6.28.0+ds-1) unstable; urgency=medium

  * New upstream version 6.28.0+ds
  * Rediff patches.
    Drop 0010-Drop-python-zeroconf-monkey-patch.patch: Fixed in upstream
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 06 Oct 2023 21:34:39 +0900

calibre (6.27.0+ds-1) unstable; urgency=medium

  * New upstream version 6.27.0+ds
  * Rediff patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 25 Sep 2023 07:45:50 +0900

calibre (6.26.0+ds-1) unstable; urgency=medium

  * Fix typo in changelog
  * New upstream version 6.26.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 08 Sep 2023 18:06:32 +0900

calibre (6.25.0+ds-1) unstable; urgency=medium

  * New upstream version 6.25.0+ds
  * Rediff patches
  * Lintian fix.
    Current man groff only offers R, I, B, BI fonts.
    See /usr/share/groff/current/font/devutf8/* and groff_font(5)
    man page for available fonts.
  * Rediff patches.
    Update man pages patch
  * Drop unused license for Liberation fonts
  * Add space to help break lines
  * Remove unused lintian overrides.
    Added a Debian patch to break long lines

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 19 Aug 2023 13:23:30 +0900

=== debian/watch ===
--- 
+++ 
@@ -7,7 +7,9 @@
 
 opts="pgpmode=next, \
       downloadurlmangle=s!/kovidgoyal/@PACKAGE@/releases/tag/v(\d+\.\d+\.\d+)!/kovidgoyal/@PACKAGE@/releases/download/v$1/@PACKAGE@-$1.tar.xz!, \
-      filenamemangle=s!v(\d+\.\d+\.\d+)!@PACKAGE@-$1.tar.xz!" \
+      filenamemangle=s!v(\d+\.\d+\.\d+)!@PACKAGE@-$1.tar.xz!, \
+      dversionmangle=s/\+ds//, \
+      oversionmangle=s/$/+ds/" \
   https://github.com/kovidgoyal/@PACKAGE@/releases \
   /kovidgoyal/@PACKAGE@/releases/tag/v(\d+\.\d+\.\d+)
 opts="pgpmode=previous" \

## calibre 7.0.0+ds

=== debian/changelog ===
calibre (7.0.0+ds-1) unstable; urgency=medium

  * Rediff patches
  * Use GitHub API to simplify watch file
  * New upstream version 7.0.0+ds
  * Rediff patches.
    Drop podofo098/0062-Really-choose-oldest-file-modification-time-in-
    targe.patch: forward to upstream
  * Renumber patches
  * Add python3-xxhash to dependency list

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 17 Nov 2023 20:16:53 +0900

## calibre 7.1.0+ds

=== debian/changelog ===
calibre (7.1.0+ds-2) unstable; urgency=medium

  * Skip a full text search test for broken SQLite version 3.44.x.
    It fixes FTBFS.
  * Forward patches to upstream

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 06 Dec 2023 22:46:11 +0900

calibre (7.1.0+ds-1) unstable; urgency=medium

  * Refactor IPv6 handling
  * Forward IPv6 patchs to upstream
  * Check '::' really supports both IPv6 and IPv4
  * Improve/bugfix IPv6/v4 dual stack patches
  * Use canonical method to invoke sip-build tool
  * New upstream version 7.1.0+ds
  * Rediff patches
  * Forward patches to upstream
  * Rediff patches.
    Fixup IPv6 bug in patch file
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 24 Nov 2023 22:27:25 +0900

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  curl,
  dh-buildinfo,
  dh-python,
+ fonts-liberation (>= 1:2.1.5-2),
  libboost-dev,
  libchm-dev,
  libegl-dev,
@@ -68,6 +69,7 @@
  python3-setuptools,
  python3-sipbuild,
  python3-speechd,
+ python3-xxhash,
  python3-zeroconf,
  python3-zstd,
  qt6-image-formats-plugins,
@@ -91,6 +93,7 @@
 Architecture: all
 Depends: calibre-bin (>= ${source:Version}), ${misc:Depends},
  ca-certificates,
+ fonts-liberation (>= 1:2.1.5-2),
  libjpeg-turbo-progs,
  libjxr-tools,
  libqt6webenginecore6-bin,
@@ -129,6 +132,7 @@
  python3-regex,
  python3-routes,
  python3-speechd,
+ python3-xxhash,
  python3-zeroconf,
  webp,
  xdg-utils,

## calibre 7.2.0+ds

=== debian/changelog ===
calibre (7.2.0+ds-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Dec 2023 23:11:04 +0100

calibre (7.2.0+ds-1) unstable; urgency=medium

  * New upstream version 7.2.0+ds
  * Rediff patches.
    Drop upstream-applied patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 15 Dec 2023 19:08:37 +0900

## calibre 7.3.0+ds

=== debian/changelog ===
calibre (7.3.0+ds-1) unstable; urgency=medium

  * New upstream version 7.3.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 05 Jan 2024 17:10:42 +0900

## calibre 7.5.1+ds

=== debian/changelog ===
calibre (7.5.1+ds-3) unstable; urgency=medium

  * Drop qt6-wayland from Recommends section
    qt6-wayland was recommended since
    Git 1c1514515d3ae6bbf2b276e09a4fac535acb3478 ,
    because qt6-wayland was not installed by qt6 dependency.
    But qt6-wayland is now recommended by libqtgui6 (>= 6.4.2+dfsg-13).
    Drop redundant words to simplify Recommends list.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 24 Feb 2024 11:26:17 +0900

calibre (7.5.1+ds-2) unstable; urgency=medium

  * Fix book store chooser error
  * Rediff patches
  * Rediff patches.
    Forward a patch to upstream

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 24 Feb 2024 04:40:37 +0900

calibre (7.5.1+ds-1) unstable; urgency=medium

  * New upstream version 7.5.0+ds
  * Rediff patches
  * New upstream version 7.5.1+ds
  * Rediff patches
  * Some color scheme functions are not available in Qt 6.4

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 09 Feb 2024 20:22:34 +0900

calibre (7.4.0+ds-1) unstable; urgency=medium

  * New upstream version 7.4.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 19 Jan 2024 19:56:47 +0900

=== debian/control ===
--- 
+++ 
@@ -137,7 +137,7 @@
  webp,
  xdg-utils,
 Recommends: python3-dnspython (>= 1.6.0), udisks2,
- python3-ipython, qt6-wayland,
+ python3-ipython,
 Suggests: python3-unrardll,
 Description: powerful and easy to use e-book manager
  Calibre is a complete e-library solution. It includes library management,

=== debian/watch ===
# -*- mode: conf -*-
# watch control file for uscan
# see uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts="pgpmode=next, \
      searchmode=plain, \
      dversionmangle=s/\+ds//, \
      oversionmangle=s/$/+ds/" \
  https://api.github.com/repos/kovidgoyal/@PACKAGE@/releases \
  https://github.com/kovidgoyal/@PACKAGE@/releases/download/v\d+\.\d+\.\d+/@PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz
opts="pgpmode=previous" \
  https://calibre-ebook.com/signatures/ \
  @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig previous

## calibre 7.6.0+ds

=== debian/changelog ===
calibre (7.6.0+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:06:04 +0000

calibre (7.6.0+ds-1) unstable; urgency=medium

  * New upstream version 7.6.0+ds
  * Rediff patches.
    Drop 0010-description-tag-can-t-have-lang-attributes.patch: Applied by
    upstream
    Drop 0064-Fix-book-store-chooser-error.patch: Applied by upstream
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 01 Mar 2024 16:44:39 +0900

=== debian/control ===
--- 
+++ 
@@ -79,7 +79,8 @@
  qt6-wayland,
  webp,
  xdg-utils,
-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>,
  Martin Pitt <mpitt@debian.org>,
  Nicholas D Steeves <sten@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -48,12 +48,8 @@
 
 override_dh_auto_build: blhc-note
 	$(SETUP) build
-#
-#	backup original font files and use system fonts
-	if [ ! -d debian/liberation.backup ] ; then \
-		mv resources/fonts/liberation debian/liberation.backup ; \
-		$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation ; \
-	fi
+	$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation
+	$(SETUP) gui
 
 # Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
 override_dh_auto_test:
@@ -101,10 +97,9 @@
 
 override_dh_auto_clean:
 	$(SETUP) build --clean
-	if [ -d debian/liberation.backup ] ; then \
-		$(SETUP) liberation_fonts --clean ; \
-		mv debian/liberation.backup resources/fonts/liberation ; \
-	fi
+	$(SETUP) liberation_fonts --clean
+	py3clean src/calibre/gui2
+	$(SETUP) gui --clean
 	py3clean setup src
 
 override_dh_gencontrol:

=== debian/tests/control ===
# -*- mode: conf -*-

# smoke test
Features: test-name=smoke-calibre
Architecture: amd64 arm64 armhf i386
Test-Command: calibre --version
Restrictions: superficial, allow-stderr

Features: test-name=smoke-ebook-convert
Architecture: amd64 arm64 armhf i386
Test-Command: ebook-convert --version
Restrictions: superficial

Features: test-name=smoke-ebook-meta
Architecture: amd64 arm64 armhf i386
Test-Command: ebook-meta --version
Restrictions: superficial

Features: test-name=smoke-ebook-polish
Architecture: amd64 arm64 armhf i386
Test-Command: ebook-polish --version
Restrictions: superficial

# Format conversion test
Tests: convert-md-epub.sh
Architecture: amd64 arm64 armhf i386
Depends: @, epubcheck

## calibre 7.8.0+ds1

=== debian/changelog ===
calibre (7.8.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.8.0+ds
  * Add PoDoFo 0.9.8 patch
  * Rediff patches
  * Renumber patches
  * "lxml.html.clean" module was moved to another package.
    See also Debian bug 1068349:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1068349
  * Add backward compatibility for lxml-html-clean
  * Upgrade Debian standards
  * Add lxml-html-clean to dependency list
  * Drop unused Lintian-overrides
  * Remove empty directory.
    Lintian fix
  * Exclude D-Bus test where on build server
  * Drop unused line
  * MathJax v3 was provided by node-mathjax-full package
  * Drop embedded MathJax
  * Re-import upstream code without MathJax
  * New upstream version 7.8.0+ds1
  * Drop unused Lintian overrides
  * Add keywords to desktop application entry file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 10 Apr 2024 00:11:20 +0900

calibre (7.7.0+ds-2) unstable; urgency=medium

  * Drop armhf from autopkgtest architecture list for 64bit time_t transition
    workaround.
    armhf test fails on testing distribution.
    It because testing is not really supports 64bit time_t until testing
    migration will done.
    Enable tests again when 64bit time_t is complete.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 25 Mar 2024 16:51:18 +0900

calibre (7.7.0+ds-1) unstable; urgency=medium

  * New upstream version 7.7.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 14 Mar 2024 22:38:46 +0900

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  libuchardet-dev,
  libudev-dev [linux-any],
  libusb-1.0-0-dev,
+ node-mathjax-full,
  optipng,
  poppler-utils (>= 0.85.0),
  pyqt6-dev,
@@ -48,6 +49,7 @@
  python3-ipython,
  python3-jeepney,
  python3-lxml,
+ python3-lxml-html-clean | python3-lxml (<< 5.2.0-1),
  python3-markdown,
  python3-mechanize,
  python3-msgpack,
@@ -79,12 +81,11 @@
  qt6-wayland,
  webp,
  xdg-utils,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
+Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>,
  Martin Pitt <mpitt@debian.org>,
  Nicholas D Steeves <sten@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://calibre-ebook.com
 Vcs-Browser: https://github.com/debian-calibre/calibre
 Vcs-Git: https://github.com/debian-calibre/calibre.git
@@ -98,6 +99,7 @@
  libjpeg-turbo-progs,
  libjxr-tools,
  libqt6webenginecore6-bin,
+ node-mathjax-full,
  optipng,
  poppler-utils (>= 0.85.0),
  ${python3:Depends},
@@ -115,6 +117,7 @@
  python3-html5lib,
  python3-jeepney,
  python3-lxml,
+ python3-lxml-html-clean | python3-lxml (<< 5.2.0-1),
  python3-markdown,
  python3-mechanize,
  python3-msgpack,

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 override_dh_auto_build: blhc-note
 	$(SETUP) build
 	$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation
+	$(SETUP) mathjax --system-mathjax --path-to-mathjax=/usr/share/nodejs/mathjax-full/es5
 	$(SETUP) gui
 
 # Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
@@ -82,9 +83,11 @@
 	rmdir debian/tmp/usr/share/desktop-directories
 #
 #	# do not install developer's script
-	rm debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/update.py
+	rm    debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/update.py
+	rmdir debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/
 #	# Debian package "python3-tinycss" doesn't installs test code
-	rm debian/tmp/usr/lib/calibre/tinycss/tests/*.py
+	rm    debian/tmp/usr/lib/calibre/tinycss/tests/*.py
+	rmdir debian/tmp/usr/lib/calibre/tinycss/tests/
 #
 # 	# Replace "python" to "python3" in shebang
 	find debian/tmp/usr/lib/calibre debian/tmp/usr/share/calibre -name '*.py' -print | xargs --no-run-if-empty sed --separate --file=debian/fix-python-shebang.sed --in-place
@@ -97,6 +100,7 @@
 
 override_dh_auto_clean:
 	$(SETUP) build --clean
+	$(SETUP) mathjax --clean
 	$(SETUP) liberation_fonts --clean
 	py3clean src/calibre/gui2
 	$(SETUP) gui --clean

=== debian/tests/control ===
# -*- mode: conf -*-

# smoke test
Features: test-name=smoke-calibre
Architecture: amd64 arm64 i386
Test-Command: calibre --version
Restrictions: superficial, allow-stderr

Features: test-name=smoke-ebook-convert
Architecture: amd64 arm64 i386
Test-Command: ebook-convert --version
Restrictions: superficial

Features: test-name=smoke-ebook-meta
Architecture: amd64 arm64 i386
Test-Command: ebook-meta --version
Restrictions: superficial

Features: test-name=smoke-ebook-polish
Architecture: amd64 arm64 i386
Test-Command: ebook-polish --version
Restrictions: superficial

# Format conversion test
Tests: convert-md-epub.sh
Architecture: amd64 arm64 i386
Depends: @, epubcheck

=== debian/watch ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 opts="pgpmode=next, \
       searchmode=plain, \
-      dversionmangle=s/\+ds//, \
-      oversionmangle=s/$/+ds/" \
+      dversionmangle=s/\+ds1?//, \
+      oversionmangle=s/$/+ds1/" \
   https://api.github.com/repos/kovidgoyal/@PACKAGE@/releases \
   https://github.com/kovidgoyal/@PACKAGE@/releases/download/v\d+\.\d+\.\d+/@PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz
 opts="pgpmode=previous" \

## calibre 7.9.0+ds

=== debian/changelog ===
calibre (7.9.0+ds-2) unstable; urgency=medium

  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 19 Apr 2024 15:07:09 +0900

calibre (7.9.0+ds-1) unstable; urgency=medium

  * Restore Debian source postfix
  * New upstream version 7.9.0+ds
  * Rediff patches
  * No tab in license text (routine-update)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 19 Apr 2024 13:33:08 +0900

calibre (7.8.0+ds2-1) unstable; urgency=medium

  * Re-import embedded MathJax again (Closes: #1068765)
    Debian MathJax v3 requires nodejs.
    It's too big to depends.
  * Update Lintian overrides

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 22:35:59 +0900

calibre (7.8.0+ds1-2) unstable; urgency=medium

  * Drop unused Lintian-overrides.
  * Drop unused line from copyright file.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 10 Apr 2024 14:49:27 +0900

## calibre 7.10.0+ds

=== debian/changelog ===
calibre (7.10.0+ds-1) unstable; urgency=medium

  * Use Emacs automatic edit mode
  * Revert "Drop armhf from autopkgtest architecture list for 64bit time_t
    transition workaround"
    This reverts commit bc38757b07c1884d55c401487684cd251eba518f.
  * New upstream version 7.10.0+ds
  * Rediff patches.
    Drop 0062-Add-space-to-help-break-lines.patch: Upstream fixed
    Drop 0061-Use-bold-font-for-man-pages.patch: Upstream fixed
  * Remove unused sed script.
    This fix script was no more needed because the problem was fixed by
    upstream.
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 03 May 2024 21:13:46 +0900
